Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232486 - TB03120a34 yumexmain.py:1045:_runBackground:ValueError: Error parsing 'None': URL must be http, ftp, file or https not ""
Summary: TB03120a34 yumexmain.py:1045:_runBackground:ValueError: Error parsing 'None':...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 18:37 UTC by Lewis Hill
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-12 06:59:42 UTC


Attachments (Terms of Use)

Description Lewis Hill 2007-03-15 18:37:57 UTC
Description of problem:

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 1108, in ?
    mainApp = YumexMainApplication()
  File "/usr/share/yumex/yumexmain.py", line 541, in __init__
    self.setup_yum()
  File "/usr/share/yumex/yumexmain.py", line 989, in setup_yum
    if self._runBackground( self.yumexbase.setup, rload ):
  File "/usr/share/yumex/yumexmain.py", line 1045, in _runBackground
    raise self.backgroundThread.exception
ValueError: Error parsing 'None': URL must be http, ftp, file or https not ""

Local variables in innermost frame:
runfunc: <bound method yumexBase.setup of <yumex.yumexBase.yumexBase object at
0x9a9b08c>>
args: (False,)
self: <__main__.YumexMainApplication instance at 0x9a8718c>

Version-Release number of selected component (if applicable):

1.2.2
How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tim Lauridsen 2007-03-20 07:37:12 UTC
It look like there is some error in /etc/yum.conf.

Please attach it.

Run 'yumex -d' from a console and attach the output.



Note You need to log in before you can comment on or make changes to this bug.